Backport packages for 16.04.3 HWE stack

Bug #1687981 reported by Timo Aaltonen on 2017-05-03
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libclc (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
libdrm (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
libinput (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
libwacom (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
libxfont (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
libxfont2 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
llvm-toolchain-4.0 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
mesa (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
virtualbox-hwe (Ubuntu)
Undecided
LocutusOfBorg
vulkan (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
wayland (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
x11proto-core (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
xfonts-utils (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
xorg-hwe-16.04 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
xorg-server (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
xorg-server-hwe-16.04 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned

Bug Description

[Impact]

*** hwe-16.04 refresh for 16.04.3 ***

Revert changes to use debhelper10.

xorg-server-hwe-16.04 needs updates
- wayland 1.11 (but zesty has 1.12 which mesa needs so backport that)
- x11proto-core 7.0.31
- libxfont-dev 2.0.1, which also means backporting libxfont1 (NEW)

x-x-i-libinput will not replace -evdev in x-x-i-all-hwe-16.04 because the unity mouse config doesn't work with -libinput.
x-x-i-libinput needs newer libinput, which in turn needs libwacom update.

Mesa needs llvm-4.0 and libclc, libdrm, wayland updates.

[Test case]

upgrade from/to stock & old hwe stack, test desktop usage

[Regression potential]

zesty hasn't blown up

[Other information]

build order:
1. x11proto-core, libdrm, libxfont, libxfont1, libwacom, llvm-toolchain-4.0, vulkan, wayland
2. libclc, libinput, xorg-server (build-dep libxfont1-dev)
3. mesa, xorg-server-hwe-16.04
4. drivers
5. xorg-hwe-16.04

CVE References

Timo Aaltonen (tjaalton) on 2017-05-03
Changed in debhelper (Ubuntu):
status: New → Invalid
Changed in x11proto-core (Ubuntu):
status: New → Invalid
Changed in xorg-hwe-16.04 (Ubuntu):
status: New → Invalid
Changed in xorg-server-hwe-16.04 (Ubuntu):
status: New → Invalid
description: updated
Changed in libxfont1 (Ubuntu):
status: New → Invalid
Changed in libxfont (Ubuntu):
status: New → Invalid
Timo Aaltonen (tjaalton) on 2017-05-04
Changed in wayland (Ubuntu):
status: New → Invalid
Timo Aaltonen (tjaalton) on 2017-05-04
description: updated
Timo Aaltonen (tjaalton) on 2017-05-04
Changed in libinput (Ubuntu):
status: New → Invalid
Timo Aaltonen (tjaalton) on 2017-05-04
Changed in libdrm (Ubuntu):
status: New → Invalid
Timo Aaltonen (tjaalton) on 2017-05-04
Changed in libwacom (Ubuntu):
status: New → Invalid
Timo Aaltonen (tjaalton) wrote :

I'll modify the hwe-pkg scripts so that packages will still use debhelper9, so dropping the requirement of backporting dh-autoreconf/debhelper.

Changed in debhelper (Ubuntu Xenial):
status: New → Won't Fix
Changed in dh-autoreconf (Ubuntu):
status: New → Invalid
Changed in dh-autoreconf (Ubuntu Xenial):
status: New → Won't Fix
Timo Aaltonen (tjaalton) on 2017-05-04
Changed in libclc (Ubuntu):
status: New → Invalid
Timo Aaltonen (tjaalton) on 2017-05-04
Changed in llvm-toolchain-4.0 (Ubuntu):
status: New → Invalid
Timo Aaltonen (tjaalton) on 2017-05-04
description: updated
Timo Aaltonen (tjaalton) on 2017-05-05
Changed in xorg-server (Ubuntu):
status: New → Invalid
Timo Aaltonen (tjaalton) on 2017-05-05
description: updated
Timo Aaltonen (tjaalton) on 2017-05-05
description: updated
Timo Aaltonen (tjaalton) on 2017-05-08
Changed in vulkan (Ubuntu):
status: New → Invalid
description: updated

Hello Timo, or anyone else affected,

Accepted x11proto-core into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/x11proto-core/7.0.31-1~ubuntu16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in x11proto-core (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed
Steve Langasek (vorlon) wrote :

I don't think we should change around the libxfont and libxfont1 source packages in SRU; this would e.g. make it more confusing to try to do security updates of libxfont in xenial if necessary. It also doesn't look to me like the version bump from libxfont 1.5.1 to libxfont1 1.5.2 is justified under SRU policy.

I would prefer to see:
 - libxfont source SRU, renaming libxfont-dev to libxfont1-dev
 - libxfont2 introduced as a new source package, which can be the libxfont from artful with a source rename.

For now, rejecting these two uploads from the queue pending discussion.

An upload of libxfont to xenial-proposed has been rejected from the upload queue for the following reason: "libxfont1 vs. libxfont2 source layout to be discussed".

Timo Aaltonen (tjaalton) wrote :

I've uploaded fixed libxfont* to the queue.

Timo Aaltonen (tjaalton) on 2017-05-16
no longer affects: debhelper (Ubuntu)
no longer affects: debhelper (Ubuntu Xenial)
no longer affects: dh-autoreconf (Ubuntu Xenial)
no longer affects: dh-autoreconf (Ubuntu)

Hello Timo, or anyone else affected,

Accepted libxfont into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libxfont/1:1.5.1-1ubuntu0.16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libxfont (Ubuntu Xenial):
status: New → Fix Committed
Timo Aaltonen (tjaalton) wrote :

xfonts-utils needs to build-depend on libxfont1-dev now that libxfont* have been accepted

Timo Aaltonen (tjaalton) wrote :

and test build of mtools against libxfont-dev is needed

Steve Langasek (vorlon) wrote :

Hello Timo, or anyone else affected,

Accepted libxfont2 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libxfont2/1:2.0.1-3~ubuntu16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

affects: libxfont1 (Ubuntu Xenial) → libxfont2 (Ubuntu Xenial)
Changed in libxfont2 (Ubuntu Xenial):
status: New → Fix Committed
Sandeep (sashinde) wrote :

About Vulkan package:

Vulkan loader (libvulkan) has moved to newer version and that is needed to make use of all the recently proposed vulkan extensions in the application.

The main application that doesn't work currently is with Vulkan CTS: https://github.com/KhronosGroup/VK-GL-CTS

Vulkan CTS passing is required for a device to be called as Vulkan compatible.

We support only LTS releases on our devices so need latest version on 16.04. Can you please upgrade the libvulkan.so version to 1.0.42 for Xenial?

This version is already available for latest ubuntu version (17.04).

Thanks.

Timo Aaltonen (tjaalton) wrote :

vulkan 1.0.42 is already uploaded to the queue, just unapproved

Sandeep (sashinde) wrote :

Hi Timo,

>> vulkan 1.0.42 is already uploaded to the queue, just unapproved

It doesn't show in https://launchpad.net/ubuntu/xenial/+package/libvulkan1 so didn't know that it's already uploaded to the queue.

Please let me know how long the approval process takes and if I can be of any help to get it done.

Thanks,
~Sandeep

Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted llvm-toolchain-4.0 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/llvm-toolchain-4.0/1:4.0-1ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in llvm-toolchain-4.0 (Ubuntu Xenial):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted wayland into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/wayland/1.12.0-1~ubuntu16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in wayland (Ubuntu Xenial):
status: New → Fix Committed
Olcay Korkmaz (olci) wrote :

Hi,

is llvm-toolchain-4.0 final release looks like it's rc1

llvm-toolchain-4.0_4.0.orig is not same as llvm-4.0.0.src from llvm.org

clang version 4.0.0-1ubuntu1~16.04.1 (tags/RELEASE_400/rc1)
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/bin

it make is trouble like when build with 4.0.0-1ubuntu1~16.04.1

terminate called after throwing an instance of 'std::runtime_error'
  what(): Verification failed (e=9): file::write

Sandeep (sashinde) wrote :

Hi,

Can someone please update about status of libvulkan1 package being back-ported to Xenial.

Thanks,
~Sandeep

Timo Aaltonen (tjaalton) wrote :

vulkan is on the upload queue along with libdrm, libwacom, xfonts-utils and libclc

https://launchpad.net/ubuntu/xenial/+queue?queue_state=1

Timo Aaltonen (tjaalton) wrote :

olci: the clang tarball didn't change much between rc1 and final, so don't trust that release tag

Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted vulkan into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/vulkan/1.0.42.0+dfsg1-1ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in vulkan (Ubuntu Xenial):
status: New → Fix Committed
Changed in libdrm (Ubuntu Xenial):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted libdrm into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libdrm/2.4.76-1~ubuntu16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted libwacom into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libwacom/0.22-1~ubuntu16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libwacom (Ubuntu Xenial):
status: New → Fix Committed
Changed in xfonts-utils (Ubuntu Xenial):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted xfonts-utils into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xfonts-utils/1:7.7+3ubuntu0.16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libclc (Ubuntu Xenial):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted libclc into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libclc/0.2.0+git20170213-1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

As part of a recent change in the Stable Release Update verification policy we would like to inform that for a bug to be considered verified for a given release a verification-done-$RELEASE tag needs to be added to the bug where $RELEASE is the name of the series the package that was tested (e.g. verification-done-xenial). Please note that the global 'verification-done' tag can no longer be used for this purpose.

Thank you!

Olivier Tilloy (osomon) wrote :

For info, I've tested a build of chromium-browser (dev branch) with clang-4.0 from xenial-proposed, and that works well.

Timo Aaltonen (tjaalton) wrote :

Hmm, I don't think xorg-server needs to be rebuilt against libxfont1-dev at this point.. if there's a need for SRU then this change could be done at the same time

Changed in xorg-server (Ubuntu Xenial):
status: New → Invalid

Hello Timo, or anyone else affected,

Accepted libinput into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libinput/1.6.3-1ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libinput (Ubuntu Xenial):
status: New → Fix Committed
Changed in mesa (Ubuntu Xenial):
status: New → Fix Committed
Changed in mesa (Ubuntu):
status: New → Invalid
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted mesa into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa/17.0.7-0ubuntu0.16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted xfonts-utils into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xfonts-utils/1:7.7+3ubuntu0.16.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted xorg-server-hwe-16.04 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xorg-server-hwe-16.04/2:1.19.3-1ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in xorg-server-hwe-16.04 (Ubuntu Xenial):
status: New → Fix Committed
Doug McMahon (mc3man) wrote :

xorg-server-hwe-16.04 (2:1.19.3-1ubuntu1~16.04.1) is working fine here (along with other related or required -proposed packages listed here.
Additionally with a modification to /etc/modprobe.d/nvidia-graphics-drivers.conf to enable KMS PRIME Synchronization is working on my hybrid (optimus) machines which has been sorely needed for many, many users.

tags: added: verification-done-xenial
removed: verification-needed

Nack on this.
Please wait for virtualbox-guest-x11 being updated.

tags: added: block-proposed verification-failed-xenial
removed: verification-done-xenial

I uploaded virtualbox-lts-zesty and tested the hwe 16.04.3 in xenial VM,
installing virtualbox-guest-x11 and or virtualbox-guest-dkms/virtualbox-guest-source works.
Even the embedded kernel module works, so we should be good here.

You can test it on ppa:costamagnagianfranco/locutusofborg-ppa

tags: added: verification-needed-xenial
removed: verification-failed-xenial
Łukasz Zemczak (sil2100) wrote :

So what's the final status of the SRU? It was verified before but then got held off. Does it need another re-test?

Adam Conrad (adconrad) wrote :

This will need a coordinated transactional release, when we're ready, please don't promote it.

Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted virtualbox-hwe into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/virtualbox-hwe/5.0.40-dfsg-0ubuntu1.16.04.1~16.04.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Changed in virtualbox-hwe (Ubuntu):
assignee: nobody → LocutusOfBorg (costamagnagianfranco)
status: New → Fix Committed
tags: added: verification-done verification-done-xenial
removed: block-proposed verification-needed verification-needed-xenial

Installed virtualbox-hwe-guest-utils, guest-x11 guest-dkms and everything worked correctly.
Removed dkms package and installed vith module-assistant the virtualbox-guest-source package.

So far so good, reboot works correctly

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package x11proto-core - 7.0.31-1~ubuntu16.04.1

---------------
x11proto-core (7.0.31-1~ubuntu16.04.1) xenial; urgency=medium

  * Backport to xenial. (LP: #1687981)

 -- Timo Aaltonen <email address hidden> Wed, 03 May 2017 17:15:04 +0300

Changed in x11proto-core (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for x11proto-core has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libxfont - 1:1.5.1-1ubuntu0.16.04.1

---------------
libxfont (1:1.5.1-1ubuntu0.16.04.1) xenial; urgency=medium

  * Rename libxfont-dev to libxfont1-dev. (LP: #1687981)

 -- Timo Aaltonen <email address hidden> Sat, 13 May 2017 08:01:15 +0300

Changed in libxfont (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libxfont2 - 1:2.0.1-3~ubuntu16.04.1

---------------
libxfont2 (1:2.0.1-3~ubuntu16.04.1) xenial; urgency=medium

  * Backport to xenial. (LP: #1687981)
    - use debhelper 9
  * Rename source to libxfont2 for this backport only.

 -- Timo Aaltonen <email address hidden> Wed, 03 May 2017 17:51:02 +0300

Changed in libxfont2 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package llvm-toolchain-4.0 - 1:4.0-1ubuntu1~16.04.1

---------------
llvm-toolchain-4.0 (1:4.0-1ubuntu1~16.04.1) xenial; urgency=medium

  * Backport to xenial. (LP: #1687981)

 -- Timo Aaltonen <email address hidden> Thu, 23 Mar 2017 13:37:43 +0200

Changed in llvm-toolchain-4.0 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wayland - 1.12.0-1~ubuntu16.04.1

---------------
wayland (1.12.0-1~ubuntu16.04.1) xenial; urgency=medium

  * Backport to xenial. (LP: #1687981)
    - use debhelper 9

 -- Timo Aaltonen <email address hidden> Sat, 25 Mar 2017 12:33:25 +0200

Changed in wayland (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vulkan - 1.0.42.0+dfsg1-1ubuntu1~16.04.1

---------------
vulkan (1.0.42.0+dfsg1-1ubuntu1~16.04.1) xenial; urgency=medium

  * Backport to xenial. (LP: #1687981)

 -- Timo Aaltonen <email address hidden> Tue, 09 May 2017 13:36:58 +0300

Changed in vulkan (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libwacom - 0.22-1~ubuntu16.04.1

---------------
libwacom (0.22-1~ubuntu16.04.1) xenial; urgency=medium

  * Backport to xenial. (LP: #1687981)

 -- Timo Aaltonen <email address hidden> Thu, 04 May 2017 15:10:08 +0300

Changed in libwacom (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdrm - 2.4.76-1~ubuntu16.04.1

---------------
libdrm (2.4.76-1~ubuntu16.04.1) xenial; urgency=medium

  * Backport to xenial. (LP: #1687981)
    - use debhelper 9

 -- Timo Aaltonen <email address hidden> Wed, 03 May 2017 16:36:59 +0300

Changed in libdrm (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libclc - 0.2.0+git20170213-1~16.04.1

---------------
libclc (0.2.0+git20170213-1~16.04.1) xenial; urgency=medium

  * Backport to xenial. (LP: #1687981)
  * Don't use debhelper 10.

libclc (0.2.0+git20170213-1) experimental; urgency=medium

  [ Andreas Boll ]
  * Simplify clang version updates even more.

  [ Timo Aaltonen ]
  * New upstream snapshot.
  * clang: Bump clang version to 4.0.

libclc (0.2.0+git20160907-3) unstable; urgency=medium

  * Simplify clang version updates.
  * Drop de-duplication of files that aren't duplicate any more.

libclc (0.2.0+git20160907-2) unstable; urgency=medium

  [ Andreas Boll ]
  * Declare Multi-Arch: foreign for all packages (closes: #845314).

  [ Michael Gilbert ]
  * Update to debhelper 10.

libclc (0.2.0+git20160907-1) experimental; urgency=medium

  * New upstream snapshot (closes: #836960).
  * Build with clang 3.9.
  * Drop devices.patch, upstream.
  * Use https for Vcs-Git field.

libclc (0.2.0+git20150813-3) unstable; urgency=medium

  * Bump standards version.
  * Build with clang 3.8 (closes: #832014).
  * Add support for additional GPU devices (closes: #823677).

 -- Timo Aaltonen <email address hidden> Fri, 24 Mar 2017 10:11:06 +0200

Changed in libclc (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libinput - 1.6.3-1ubuntu1~16.04.1

---------------
libinput (1.6.3-1ubuntu1~16.04.1) xenial; urgency=medium

  * Backport to xenial. (LP: #1687981)

 -- Timo Aaltonen <email address hidden> Thu, 04 May 2017 14:36:32 +0300

Changed in libinput (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 17.0.7-0ubuntu0.16.04.1

---------------
mesa (17.0.7-0ubuntu0.16.04.1) xenial; urgency=medium

  * Backport to xenial. (LP: #1687981)
    - rules: Force -O2 to fix ppc64el FTBFS

 -- Timo Aaltonen <email address hidden> Mon, 26 Jun 2017 15:29:20 +0300

Changed in mesa (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-hwe-16.04 - 1:7.7+16ubuntu3~16.04.1

---------------
xorg-hwe-16.04 (1:7.7+16ubuntu3~16.04.1) xenial; urgency=medium

  * Backport for hwe-16.04 stack. (LP: #1687981)
  * control: xserver-xorg-hwe-16.04 now Recommends
    xserver-xorg-legacy-hwe-16.04.

 -- Timo Aaltonen <email address hidden> Thu, 04 May 2017 19:39:20 +0300

Changed in xorg-hwe-16.04 (Ubuntu Xenial):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virtualbox-hwe - 5.0.40-dfsg-0ubuntu1.16.04.1~16.04.3

---------------
virtualbox-hwe (5.0.40-dfsg-0ubuntu1.16.04.1~16.04.3) xenial; urgency=medium

  * Backport to xenial. (LP: #1687981)
    - build against hwe 16.04.3 stack.
    - build only guest-* modules.
    - backport patch for xorg 1.19

 -- Gianfranco Costamagna <email address hidden> Tue, 11 Jul 2017 08:02:00 +0200

Changed in virtualbox-hwe (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server-hwe-16.04 - 2:1.19.3-1ubuntu1~16.04.2

---------------
xorg-server-hwe-16.04 (2:1.19.3-1ubuntu1~16.04.2) xenial; urgency=medium

  * SECURITY UPDATE: DoS and possible code execution in endianness
    conversion of X Events
    - debian/patches/CVE-2017-10971-1.patch: do not try to swap
      GenericEvent in Xi/sendexev.c.
    - debian/patches/CVE-2017-10971-2.patch: verify all events in
      ProcXSendExtensionEvent in Xi/sendexev.c.
    - debian/patches/CVE-2017-10971-3.patch: disallow GenericEvent in
      SendEvent request in dix/events.c, dix/swapreq.c.
    - CVE-2017-10971
  * SECURITY UPDATE: information leak in XEvent handling
    - debian/patches/CVE-2017-10972.patch: zero target buffer in
      SProcXSendExtensionEvent in Xi/sendexev.c.
    - CVE-2017-10972

 -- Marc Deslauriers <email address hidden> Tue, 25 Jul 2017 09:04:30 -0400

Changed in xorg-server-hwe-16.04 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xfonts-utils - 1:7.7+3ubuntu0.16.04.2

---------------
xfonts-utils (1:7.7+3ubuntu0.16.04.2) xenial; urgency=medium

  * control: Add autoconf to build-depends, because the build is picky.
    (LP: #1687981)

 -- Timo Aaltonen <email address hidden> Mon, 26 Jun 2017 14:27:33 +0300

Changed in xfonts-utils (Ubuntu Xenial):
status: Fix Committed → Fix Released
Adam Conrad (adconrad) on 2017-07-26
Changed in xfonts-utils (Ubuntu):
status: New → Invalid
Changed in xorg-server (Ubuntu Xenial):
status: Invalid → Fix Committed
Timo Aaltonen (tjaalton) wrote :

no need to reopen this

Changed in xorg-server (Ubuntu Xenial):
status: Fix Committed → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.18.4-0ubuntu0.4

---------------
xorg-server (2:1.18.4-0ubuntu0.4) xenial; urgency=medium

  * control: Build against libxfont1-dev. (LP: #1687981, #1707691)
  * disable-rotation-transform-gpuscreens.patch: Dropped, NVIDIA driver
    supports rotation now. (LP: #1706287)

 -- Timo Aaltonen <email address hidden> Mon, 26 Jun 2017 14:53:19 +0300

Changed in xorg-server (Ubuntu Xenial):
status: Invalid → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers